### Method

# Clapper Discoverer get_discovery_mode

#### Declaration [src]

    ClapperDiscovererDiscoveryMode
    clapper_discoverer_get_discovery_mode (
      ClapperDiscoverer* discoverer
    )

#### Description [src]

Get the `ClapperDiscovererDiscoveryMode` of `discoverer`.

Gets property | `Clapper.Discoverer:discovery-mode`

#### Return value

Type: `ClapperDiscovererDiscoveryMode`

A currently set `ClapperDiscovererDiscoveryMode`.